Bug 448854 - Failed to open device sm3840
Failed to open device sm3840
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sane-backends (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-28 23:01 EDT by Bob Kashani
Modified: 2009-11-18 20:02 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 20:02:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix failed to open device (463 bytes, patch)
2008-05-28 23:01 EDT, Bob Kashani
no flags Details | Diff

  None (edit)
Description Bob Kashani 2008-05-28 23:01:53 EDT
Description of problem:
When launching xsane I get an error immediately and app fails to start with this
error message:
Failed to open device 'sm3840:libusb:007:005': Access to resource has been denied.
My scanner is a microtek 4800.

Version-Release number of selected component (if applicable):
1.0.19-10

How reproducible:
Everytime

Steps to Reproduce:
1. Applications->Graphics->Scanner Tool
2. Error message appears.
3.
  
Actual results:


Expected results:


Additional info:
This issue has been fixed in sane cvs. Patch attached.
Comment 1 Bob Kashani 2008-05-28 23:01:53 EDT
Created attachment 307010 [details]
Patch to fix failed to open device
Comment 2 Bob Kashani 2008-05-28 23:45:37 EDT
Comment on attachment 307010 [details]
Patch to fix failed to open device

>--- sane-backends-1.0.19/backend/sm3840.c	2008-02-03 02:34:20.000000000 -0800
>+++ sane-backends-1.0.19/backend/sm3840.c.new	2008-05-28 17:47:27.000000000 -0700
>@@ -805,10 +805,9 @@ sane_open (SANE_String_Const devicename,
>   if (!s)
>     return SANE_STATUS_NO_MEM;
> 
>-  s->udev = 0;
>   status = sanei_usb_open (dev->sane.name, &(s->udev));
>-  if (!s->udev)
>-    return SANE_STATUS_ACCESS_DENIED;
>+  if (status != SANE_STATUS_GOOD)
>+    return status;
> 
>   initialize_options_list (s);
>   s->scanning = 0;
Comment 3 Nils Philippsen 2008-05-29 06:44:19 EDT
FYI: I'm on vacation in June and I probably won't have enough time work on it
before.
Comment 4 Bob Kashani 2008-05-29 13:10:47 EDT
Hi, Nils. Thanks for the quick response. No worries, I've already created my own
rpms for F9 for the time being. If anyone is interested they are here:

http://www.ocf.berkeley.edu/~bobk/packages
Comment 5 Bug Zapper 2009-06-09 21:16:25 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Nils Philippsen 2009-06-10 11:36:13 EDT
FYI: I'm working on packaging version 1.0.20 which contains this fix. This should eventually hit Fedora 10 and 11 repositories.
Comment 7 Nils Philippsen 2009-06-17 06:04:41 EDT
I've packaged the new upstream version sane-backends-1.0.20 and submitted it for updates-testing. Please test and report back whether this improves your issue, thanks.
Comment 8 Bob Kashani 2009-06-21 15:28:44 EDT
Fedora 11

sane-backends-1.0.20-3.fc11.i586.rpm
sane-backends-libs-1.0.20-3.fc11.i586.rpm
sane-backends-gphoto2-1.0.20-3.fc11.i586.rpm

I just tried these packages from testing and they do not work even though the fix is part of 1.0.20. I still get the same error message. :( Very strange.
Comment 9 David 2009-06-24 07:56:08 EDT
Fedora 11 686PAE

Fixed in the koji build:

http://koji.fedoraproject.org/koji/buildinfo?buildID=111377

Nils can we get this pushed to testing as -4 fixes the root can only scan?
Comment 10 Bob Kashani 2009-06-27 14:00:58 EDT
Fedora 11

sane-backends-libs-1.0.20-4.fc11.i586
sane-backends-1.0.20-4.fc11.i586
sane-backends-libs-gphoto2-1.0.20-4.fc11.i586

It works!!! :) Thank You.
Comment 11 Bug Zapper 2009-11-18 04:34:44 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.